Loadind the new version 3.0 to my ipod

[Closed]
Report
-
 Blocked Profile -
Hello,
i am unable to load the new 3.0 to my ipod even though i have the 8.2 download and i have the update box in my summery so when i press update it just keeps saying you need to down load the 8.2 Any suggestions,,,,,,,,,,,,,,,

2 replies

Posts
697
Registration date
Thursday May 14, 2009
Status
Member
Last seen
November 24, 2010
218
hi,

reinstall the iTunes version 8.2.

then try to update your iPod to the required version.

Sometimes I-tunes have some issues, you just need to re-install it